Author Topic: [50% Solved] WhatsApp WD6 Problem - Partially Working Update!  (Read 187481 times)

January 02, 2013, 07:08:52 AM
Reply #45

jasong

  • *
  • Information Offline
  • New Member
  • Posts: 3
  • Whited00r User
    • View Profile
Would this work? We restore our iPhone 3G to ios4.1(or something). And just cross our fingers for ios 4.2.1...

Apparently no because the only WhatsApp app available on iTunes @ the present requires iOS 4.3 and up so iPhone 3GS at minimum.

"...I guess I have to buy a new phone now.." - This is exactly why Apple dropped support to more than 50 million iDevices gen 1 & 2. They want to make more money and sell you new stuff.

Apple could easily require that app developers include iOS backward compatibility code but they don't care about owners of their devices sold just a few years ago.
Can you tell me who else exactly does care about owners of their older devices? Samsung won't even give you ICS for the i9000 which could easily handle it. But yeah... it does suck since this was 90% of the reason for my wife getting the iPhone 3g...

January 02, 2013, 10:18:23 AM
Reply #46

BatuhanK

  • **
  • Information Offline
  • Member
  • Posts: 12
  • Country: tr
  • Whited00r 6 Iphone 2G
    • View Profile
  • Device: iPhone 2G
  • My Computer: Windows
Well i had the same problem all day.

After trying a lot of useless things...

I deleted the app that was asking me for phone number and instaled the one available from apptimemachine (2.8.4), before opening whatsapp i restored from dropbox (a data i saved from 12-12-12 before installing wd6) using DataDeposit, opened it and did't asked me for phone nomber again, just worked.

Hope it helps

Sorry for my english.

this method is working

does not work anymore  :-[

January 02, 2013, 11:53:07 AM
Reply #47

rjsidhu01

  • *
  • Information Offline
  • Junior Member
  • Posts: 9
  • Country: in
  • Whited00r User
    • View Profile
  • Device: iPhone 2G
  • My Computer: Windows
Dude, check this.. Aftr watching this video i tried changing my ios and it was successfull..  Bt i faced one problem.. My app store was not installing the app.. The "Free" option was available.. But when i click it nothin happens.. But a no. Of apps were automatically updated.. Like viber.. And it worked..
www.youtube.com/watch?v=-4CMVKVIQx8&desktop_uri=%2Fwatch%3Fv%3D-4CMVKVIQx8

January 02, 2013, 11:58:56 AM
Reply #48

jmotero

  • *
  • Information Offline
  • Junior Member
  • Posts: 4
  • Whited00r User
    • View Profile
Well i had the same problem all day.

After trying a lot of useless things...

I deleted the app that was asking me for phone number and instaled the one available from apptimemachine (2.8.4), before opening whatsapp i restored from dropbox (a data i saved from 12-12-12 before installing wd6) using DataDeposit, opened it and did't asked me for phone nomber again, just worked.

Hope it helps

Sorry for my english.

this method is working

does not work anymore  :-[

That's what i came here for.
I solved the issue couple days back restoring from an old Backup, but all of the sudden i got kicked off again from the Whatsapp servers, so it doesn´t look really good. I guess this is a server issue and whatever fix we found i won't last forever until whatsapp decide to do something about it i'm afraid....

January 02, 2013, 03:01:07 PM
Reply #49

jarros

  • *
  • Information Offline
  • New Member
  • Posts: 3
  • Whited00r User
    • View Profile
Well i had the same problem all day.

After trying a lot of useless things...

I deleted the app that was asking me for phone number and instaled the one available from apptimemachine (2.8.4), before opening whatsapp i restored from dropbox (a data i saved from 12-12-12 before installing wd6) using DataDeposit, opened it and did't asked me for phone nomber again, just worked.

Hope it helps

Sorry for my english.

this method is working

does not work anymore  :-[

That's what i came here for.
I solved the issue couple days back restoring from an old Backup, but all of the sudden i got kicked off again from the Whatsapp servers, so it doesn´t look really good. I guess this is a server issue and whatever fix we found i won't last forever until whatsapp decide to do something about it i'm afraid....

Same here.  Yesterday afternoon when I opened WhatsApp I got the error "Failed to verify your device. This is most likely caused by you upgrading or changing your phone."  Then it asked me to verify, where it says the version is too old.

I tried reverting to my old backup .plist file. Same problem.  Looks like we're SOL.

January 02, 2013, 04:56:19 PM
Reply #50

jlb

  • *
  • Information Offline
  • Junior Member
  • Posts: 7
  • Whited00r User
    • View Profile
    Hi all,
    Same thing happens to me: .plist file replacement doesn't work anymore.  I've tried as well to install last version (2.8.7) changing iOS version number (according to rjsidhu01's suggestion in one of previous post) but just freeze after running so doesn't work either.
    As far as I've seen, version 2.8.4 fails when tries to get status from servers, so I guess is a limitation which has been introduced by WhatsApp and not by Apple policy limitations, as they're arguing in my request of not supporting iPhone 3G. Version 2.8.4 was running perfectly until yesterday (on my case) but definitely is something done by WhatsApp.
    Do you know if we can make some kind of pressure?
    Regards.
JL

January 02, 2013, 05:47:01 PM
Reply #51

Seryuan

  • *
  • Information Offline
  • New Member
  • Posts: 3
  • Whited00r User
    • View Profile
Hi, this is what I had to do to keep 'connect' with my friends ...

Until yesterday (January 1st) WhatsApp worked well on my iPhone 3G with iOS 4.2.1, this morning 10:00 am Spanish time stop working :S. I keep getting messages with the push-notificactions but when I enter the app I can do nothing, said that my version is older...

Options? Search in AppStore to find alternatives, I liked eBuddy XMS. Is free, includes all platforms: Android, Nokia, WP7, BlackBerry, iOS 4.0 (also iPod and iPad) and works similar to WhatsApp. I have installed the App and said to my contacts: "If you want to write me use eBuddy XMS, WhatsApp stop working in my iPhone :S."

I hope that someone would be useful this information until we can re-use WhatsApp on our phones.

Greetings!

PD: Sorry for my english

January 02, 2013, 07:00:02 PM
Reply #52

PierreP

  • WD FAQ Maker
  • *****
  • Information Offline
  • SuperHero Member
  • Administrator
  • Posts: 2023
  • Country: cr
  • Everything is Relative
    • View Profile
  • Device: iPhone 3G
  • My Computer: Windows
*****

From this App Time Machine WhatsApp page:

Quote
Help the community and save WhatsApp for old devices

WhatsApp developers blocked access with the last available version for iOS3 and iOS4.

We know that XCode 4.5 drop support for ARMv6 and we can't get upgrade, but the server-side block of WhatsApp is pointless.

You need iPhone 3Gs+ to use their service. Please help us to ask them to enable WhatsApp on old iPhone again!

Send Mail to this address: [email protected] >>Pre-Built Mail<<

Object: WhatsApp v2.8.4 support

Message: Please don't block WhatsApp v2.8.4 for iOS server-side otherwise lots of old iPhone users will not be able to use WhatsApp anymore. Please don't answer that it is a policy of AppStore: YOU blocked the access server-side. We don't want to upgrade the application but we want to continue to use the last version available for our device since we paid for it. Thanks you

Post this on Facebook fanpage too: WhatsApp Official and Join WhatsApp Facebook

January 02, 2013, 07:25:57 PM
Reply #53

jlb

  • *
  • Information Offline
  • Junior Member
  • Posts: 7
  • Whited00r User
    • View Profile
    Thanks PierreP. That's what I said in my post: is an WhatsApp issue. I've already sent the message. Please, everybody needs to do the same thing.
    Regards and thanks for your support.
JL

January 02, 2013, 09:06:38 PM
Reply #54

Seryuan

  • *
  • Information Offline
  • New Member
  • Posts: 3
  • Whited00r User
    • View Profile
I sent the pre-build email four times, one  for each email account i have :)

January 03, 2013, 03:04:06 AM
Reply #55

feli100

  • ***
  • Information Offline
  • Senior Member
  • Posts: 48
  • whited00r.com
    • View Profile
So, dont know if it's fixes, but i just tried it again on my 3g on 4.2.1 and it just activated automatically. I just had to input my phone number and it activated. So maybe after all the mails we sent they realised they had to support older devices. Am i the only one who was this lucky? Tell me if u could, maybe it was something i did and could help

January 03, 2013, 03:45:45 AM
Reply #56

PierreP

  • WD FAQ Maker
  • *****
  • Information Offline
  • SuperHero Member
  • Administrator
  • Posts: 2023
  • Country: cr
  • Everything is Relative
    • View Profile
  • Device: iPhone 3G
  • My Computer: Windows
...i just tried it again on my 3g on 4.2.1 and it just activated automatically...

Are you using WhatsApp v2.8.4?

Just tried again WhatsApp v2.8.4 on iPhone 3G on whited00r 6 and got the dreaded:



Maybe you got lucky and the server-side checks to block older devices were down for maintenance.  :o

January 03, 2013, 08:24:54 AM
Reply #57

jlb

  • *
  • Information Offline
  • Junior Member
  • Posts: 7
  • Whited00r User
    • View Profile
...i just tried it again on my 3g on 4.2.1 and it just activated automatically...

Are you using WhatsApp v2.8.4?

Just tried again WhatsApp v2.8.4 on iPhone 3G on whited00r 6 and got the dreaded:



Maybe you got lucky and the server-side checks to block older devices were down for maintenance.  :o

   No luck: I've just tried and still got the same message. As you said this is a disgusting example of programmed obsolescence :(
   I'm waiting to WhatsApp reply to message but I got the feeling they are going to be quiet about that.
   Regards.
JL

January 03, 2013, 02:32:52 PM
Reply #58

feli100

  • ***
  • Information Offline
  • Senior Member
  • Posts: 48
  • whited00r.com
    • View Profile
I am not using whited00r nor redd00r. I have stock ios 4.2.1 jailbroken. I used to hace whited00r on my 2g but bought a new phone. I don't think i have 2.8.4, I suppose the one i have is 2.8.4 because it was the last one with support for ios 4.2.1. What i made was editing the systemversion.plist but it just wont work, after frustating a lot i put it back to 4.2.1 and on the next day i tried again the activation and it just entered whatsapp normally, not even asked me to put the 3 code pass that ther are supposed to send you.
« Last Edit: January 03, 2013, 02:44:32 PM by feli100 »

January 03, 2013, 02:36:00 PM
Reply #59

Inmenso

  • *
  • Information Offline
  • New Member
  • Posts: 1
  • Whited00r User
    • View Profile
I've just tried this and IT WORKS:

1. Install iFile from Cydia.
2. Open iFile and navigate to /System/Library/CoreServices, then open SystemVersion.plist
3. Edit the line where it states the firmware version is 3.1.3 and change it to 4.3.1
4. Save and exit.

You might need to reinstall Whatsapp from TimeMachine, but that's it. As silly as it sounds, it works.